Subject: Re: [PATCH net-next v1 5/7] selftests/net: add bpf skb forwarding program

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Nov 2025 19:20:45 -0800

On Wed, 19 Nov 2025 19:30:14 -0800 David Wei wrote:
> This is needed for netkit container datapath selftests. Add two things:
> 
>   1. nk_forward.bpf.c, a bpf program that forwards skbs matching some
>      IPv6 prefix received on eth0 ifindex to a specified netkit ifindex.
>   2. nk_forward.c, a C loader program that accepts eth0/netkit ifindex
>      and IPv6 prefix.
> 
> Selftests will load and unload this bpf program via the loader.

Is the skel stuff necessary? For XDP we populate the map with bpftool.